Loading...
Searching...
No Matches
mongocxx::result::update Class Reference

`#include <mongocxx/v_noabi/mongocxx/result/update.hpp>`

## Description

The result of a MongoDB update operation.

## Public Member Functions

| update (v1::update_many_result opts)
| Construct with the mongocxx::v1 equivalent.
| update (v1::update_one_result opts)
| Construct with the mongocxx::v1 equivalent.
| update (v_noabi::result::bulk_write result)
std::int32_t | matched_count () const
| Gets the number of documents that were matched during this operation.
std::int32_t | modified_count () const
| Gets the number of documents that were modified during this operation.
| operator v1::update_many_result () const
| Convert to the mongocxx::v1 equivalent.
| operator v1::update_one_result () const
| Convert to the mongocxx::v1 equivalent.
v_noabi::result::bulk_write const & | result () const
| Returns the bulk write result for this update operation.
std::int32_t | upserted_count () const
| Gets the number of documents that were upserted during this operation.
bsoncxx::v_noabi::stdx::optional< bsoncxx::v_noabi::document::element > | upserted_id () const
| If a document was upserted during this operation, gets the _id of the upserted document.

## Constructor & Destructor Documentation

## update() [1/3]

mongocxx::v_noabi::result::update::update | ( | v_noabi::result::bulk_write | result | ) |

inline explicit

Deprecated
  For internal use only.

## update() [2/3]

mongocxx::v_noabi::result::update::update | ( | v1::update_many_result | opts | ) |

Construct with the mongocxx::v1 equivalent.

## update() [3/3]

mongocxx::v_noabi::result::update::update | ( | v1::update_one_result | opts | ) |

Construct with the mongocxx::v1 equivalent.

## Member Function Documentation

## matched_count()

std::int32_t mongocxx::v_noabi::result::update::matched_count | ( |  | ) | const

inline

Gets the number of documents that were matched during this operation.

Returns
  The number of documents that were matched.

## modified_count()

std::int32_t mongocxx::v_noabi::result::update::modified_count | ( |  | ) | const

inline

Gets the number of documents that were modified during this operation.

Returns
  The number of documents that were modified.

## operator v1::update_many_result()

mongocxx::v_noabi::result::update::operator v1::update_many_result | ( |  | ) | const

explicit

Convert to the mongocxx::v1 equivalent.

## operator v1::update_one_result()

mongocxx::v_noabi::result::update::operator v1::update_one_result | ( |  | ) | const

explicit

Convert to the mongocxx::v1 equivalent.

## result()

v_noabi::result::bulk_write const & mongocxx::v_noabi::result::update::result | ( |  | ) | const

inline

Returns the bulk write result for this update operation.

Returns
  The raw bulk write result.

## upserted_count()

std::int32_t mongocxx::v_noabi::result::update::upserted_count | ( |  | ) | const

inline

Gets the number of documents that were upserted during this operation.

Returns
  The number of documents that were upserted.

## upserted_id()

bsoncxx::v_noabi::stdx::optional< bsoncxx::v_noabi::document::element > mongocxx::v_noabi::result::update::upserted_id | ( |  | ) | const

inline

If a document was upserted during this operation, gets the _id of the upserted document.

Returns
  The value of the _id field for upserted document.

The documentation for this class was generated from the following file:

- mongocxx/v_noabi/mongocxx/result/update.hpp